PHP-инклюдинг в PhpSherpa

Дата публикации:
23.01.2007
Дата изменения:
23.01.2007
Всего просмотров:
1353
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PhpSherpa
Уязвимые версии: PhpSherpa

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "racine" в сценарии include/config.inc.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/include/config.inc.php?racine=[file]

URL производителя: linuxeduquebec.org/IMG/tgz/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA